cURL
curl --request GET \
--url https://api.recoupable.com/api/fans \
--header 'x-api-key: <api-key>'import requests
url = "https://api.recoupable.com/api/fans"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.recoupable.com/api/fans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"fans": [
{
"id": "<string>",
"username": "<string>",
"avatar": "<string>",
"profile_url": "<string>",
"region": "<string>",
"bio": "<string>",
"followerCount": 123,
"followingCount": 123,
"updated_at": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"total_count": 123,
"page": 123,
"limit": 123,
"total_pages": 123
}
}{
"status": "error",
"error": "<string>"
}Fans
Get Artist Fans
Retrieve all social profiles from fans of an artist across all platforms. This endpoint aggregates fan data from all connected social media platforms. Supports pagination for large fan lists.
GET
/
api
/
fans
cURL
Authorizations
Your Recoup API key. Learn more.
Query Parameters
The unique identifier of the artist account to fetch fans for
The page number to retrieve (default: 1)
The number of records per page (default: 20, max: 100)
Required range:
x <= 100